Orxonox: orxonox::SphereCollisionShape Class Reference

# orxonox::SphereCollisionShape Class Reference

`#include <src/orxonox/objects/collisionshapes/SphereCollisionShape.h>`

Inheritance diagram for orxonox::SphereCollisionShape:

List of all members.

## Public Member Functions

float | getRadius () const
void | registerVariables ()
void | setRadius (float radius)
| SphereCollisionShape (BaseObject *creator)
virtual void | XMLPort (Element &xmlelement, XMLPort::Mode mode)
| XML loading and saving.
virtual | ~SphereCollisionShape ()

## Private Member Functions

btCollisionShape * | createNewShape () const

## Private Attributes

float | radius_

## Constructor & Destructor Documentation

orxonox::SphereCollisionShape::SphereCollisionShape | ( | BaseObject * | creator | ) |

References radius_, RegisterObject, registerVariables(), and orxonox::CollisionShape::updateShape().

orxonox::SphereCollisionShape::~SphereCollisionShape | ( |  | ) | `[virtual]`

References orxonox::CollisionShape::collisionShape_, and orxonox::BaseObject::isInitialized().

## Member Function Documentation

btCollisionShape * orxonox::SphereCollisionShape::createNewShape | ( |  | ) | const`[private, virtual]`

Implements orxonox::CollisionShape.

References radius_.

float orxonox::SphereCollisionShape::getRadius | ( |  | ) | const`[inline]`

Referenced by XMLPort().

void orxonox::SphereCollisionShape::registerVariables | ( |  | ) |

Reimplemented from orxonox::CollisionShape.

References radius_, orxonox::Synchronisable::registerVariable(), orxonox::VariableDirection::ToClient, and orxonox::CollisionShape::updateShape().

Referenced by SphereCollisionShape().

void orxonox::SphereCollisionShape::setRadius | ( | float | radius | ) | `[inline]`

Referenced by orxonox::Projectile::Projectile(), and XMLPort().

void orxonox::SphereCollisionShape::XMLPort | ( | Element & | xmlelement,
|  | XMLPort::Mode | mode |
| ) |  |  | `[virtual]`

XML loading and saving.

Parameters:

  | xmlelement | The XML-element
  | loading | Loading (true) or saving (false)

Returns:
  The XML-element

Reimplemented from orxonox::CollisionShape.

References getRadius(), setRadius(), SUPER, and XMLPortParam.

## Member Data Documentation

float orxonox::SphereCollisionShape::radius_`[private]`

Referenced by createNewShape(), registerVariables(), and SphereCollisionShape().

The documentation for this class was generated from the following files:

- src/orxonox/objects/collisionshapes/SphereCollisionShape.h
- src/orxonox/objects/collisionshapes/SphereCollisionShape.cc